import { userResolvers } from './user';
import { roomResolvers } from './room';
import { messageResolvers } from './message';

export const resolvers = {
  Query: {
    ...userResolvers.Query,
    ...roomResolvers.Query,
    ...messageResolvers.Query,
  },
  Mutation: {
    ...userResolvers.Mutation,
    ...roomResolvers.Mutation,
    ...messageResolvers.Mutation,
  },
  Subscription: {
    ...messageResolvers.Subscription,
    ...roomResolvers.Subscription,
  },
  User: userResolvers.User,
  Room: roomResolvers.Room,
  Message: messageResolvers.Message,
};
